{
    "doc": "This defines a file\n    This record is uniquely defined by the sample identfier and an URI\n    Currently sample identifier can be a single string or a list of strings if multiple samples are associated with the same file\n    *",
    "fields": [
        {
            "doc": "Unique identifier(s) of the sample. For example in a multisample vcf this would have an array of all the sample identifiers",
            "name": "sampleId",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "doc": "URI path of the file",
            "name": "uriFile",
            "type": "string"
        },
        {
            "doc": "The type of the file",
            "name": "fileType",
            "type": {
                "name": "FileType",
                "symbols": [
                    "BAM",
                    "gVCF",
                    "VCF_small",
                    "VCF_somatic_small",
                    "VCF_CNV",
                    "VCF_somatic_CNV",
                    "VCF_SV",
                    "VCF_somatic_SV",
                    "VCF_SV_CNV",
                    "SVG",
                    "ANN",
                    "BigWig",
                    "MD5Sum",
                    "ROH",
                    "OTHER",
                    "PARTITION",
                    "VARIANT_FREQUENCIES",
                    "COVERAGE"
                ],
                "type": "enum"
            }
        },
        {
            "doc": "The MD5 checksum",
            "name": "md5Sum",
            "type": [
                "null",
                "string"
            ]
        }
    ],
    "name": "File",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}